---

- name: vim | Get rid of vim-tiny
  apt:
    pkg: vim-tiny
    state: absent
    purge: yes

- name: vim | Make sure a correct vim is installed
  apt:
    pkg: vim
    state: present

- name: vim | Global configuration
  copy:
    src:    vimrc.local
    dest:   /etc/vim/vimrc.local
    owner:  root
    group:  root
    mode:   0644

- name: vim | Check default editor
  stat:
    path:   /etc/alternatives/editor
  register: editor

- name: vim | update-alternatives to use vim.basic as $EDITOR
  alternatives: name=editor path=/usr/bin/vim.basic
  when: editor.stat.lnk_source != '/usr/bin/vim'
